<%= form_tag '',  :method => "POST", :id => 'new_module_run' do |f| %>
<%= hidden_field_tag 'host_ids[]', @vuln.host.id, :id => "host_ids_#{@vuln.host.id}_module" %>
<% end %>

<table class="sortable list" id="vuln-attempts-tbl">
	<thead>
		<tr>
			<th>Time</th>
			<th>User</th>
			<th>Exploit</th>
			<th>Result</th>
			<th>Detail</th>
		</tr>
	</thead>
	<tbody>
	<% reset_cycle "rows" %>
	<% @vuln.vuln_attempts.each do |att| %>
		<tr class="<%=h row_cycle %>">
			<td width="140">
				<%= att.attempted_at.strftime('%Y-%m-%d %H:%M:%S %z').to_s %>
			</td>
			<td><%= att.username.to_s %></td>
			<td><%= link_to h(att.module), "#", :class => "module-name", :module_fullname => att.module %></td>
			<td><%=
					att.exploited ? 
					( att.session_id ? 
						link_to("Exploited", session_history_path(@workspace, att.session_id)) :
						"Exploited"
					) : 
					"#{att.fail_reason.to_s.upcase}" 
			%></td>
			<td><%= truncate(att.fail_detail.to_s, :length => 60) %></td>
		</tr>
	<% end %>
	</tbody>
</table>


<script type="text/javascript" charset="utf-8">
  jQuery(document).ready(function () {
    window.moduleLinksInit('<%= new_module_run_path(@workspace.id, '') %>')
  });
</script>

